### Hierarchy

- Form

## Index

### Constructors

- constructor

### Properties

- action
- constraints
- dataJson
- dataType
- definitions
- definitionsJson
- el
- entity
- entityForm
- entityJson
- form
- formClass
- formSubmit
- language
- method
- resettable
- submitError
- submitHandler
- submitLabel
- translateService

### Methods

- addError
- closestParent
- componentDidLoad
- componentDidUpdate
- formSubmitHandler
- handleSubmit
- initValidations
- logErrors
- postRender
- render
- resetFormGroup
- setConstraints
- setData
- setDefinitions
- setEntity
- setSubmitInterceptor
- setTranslateService
- showErrors
- showErrorsForInput
- translate
- update

## Constructors

### constructor

- new Form(): Form

- - Defined in form/form.tsx:36

  #### Returns Form

## Properties

### action

action: string

- Defined in form/form.tsx:26

### constraints

constraints: any

- Defined in form/form.tsx:15

### dataJson

dataJson: string

- Defined in form/form.tsx:27

### dataType

dataType: string

- Defined in form/form.tsx:28

### definitions

definitions: any

- Defined in form/form.tsx:16

### definitionsJson

definitionsJson: string

- Defined in form/form.tsx:29

### el

el: HTMLElement

- Defined in form/form.tsx:22

### entity

entity: any

- Defined in form/form.tsx:24

### entityForm

entityForm: any

- Defined in form/form.tsx:17

### entityJson

entityJson: string

- Defined in form/form.tsx:30

### form

form: HTMLFormElement

- Defined in form/form.tsx:18

### formClass

formClass: string = "form-horizontal col-12"

- Defined in form/form.tsx:31

### formSubmit

formSubmit: EventEmitter

- Defined in form/form.tsx:94

### language

language: string

- Defined in form/form.tsx:32

### method

method: string

- Defined in form/form.tsx:33

### resettable

resettable: boolean = false

- Defined in form/form.tsx:34

### submitError

submitError: string

- Defined in form/form.tsx:35

### submitHandler

submitHandler: any

- Defined in form/form.tsx:19

### submitLabel

submitLabel: string = "SUBMIT"

- Defined in form/form.tsx:36

### translateService

translateService: TranslateService

- Defined in form/form.tsx:20

## Methods

### addError

- addError(messages: any, error: any): void

- - Defined in form/form.tsx:244

  #### Parameters

  - ##### messages: any

  - ##### error: any

  #### Returns void

### closestParent

- closestParent(child: any, className: any): any

- - Defined in form/form.tsx:221

  #### Parameters

  - ##### child: any

  - ##### className: any

  #### Returns any

### componentDidLoad

- componentDidLoad(): void

- - Defined in form/form.tsx:42

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in form/form.tsx:46

  #### Returns void

### formSubmitHandler

- formSubmitHandler(): void

- - Defined in form/form.tsx:95

  #### Returns void

### handleSubmit

- handleSubmit(e: Event): Promise<void>

- - Defined in form/form.tsx:62

  #### Parameters

  - ##### e: Event

  #### Returns Promise<void>

### initValidations

- initValidations(): void

- - Defined in form/form.tsx:150

  #### Returns void

### logErrors

- logErrors(errors: any, fieldName?: string): void

- - Defined in form/form.tsx:211

  #### Parameters

  - ##### errors: any

  - ##### Default value fieldName: string = undefined

  #### Returns void

### postRender

- postRender(): void

- - Defined in form/form.tsx:50

  #### Returns void

### render

- render(): any

- - Defined in form/form.tsx:256

  #### Returns any

### resetFormGroup

- resetFormGroup(formGroup: HTMLElement): void

- - Defined in form/form.tsx:233

  #### Parameters

  - ##### formGroup: HTMLElement

  #### Returns void

### setConstraints

- setConstraints(constraints: any): Promise<void>

- - Defined in form/form.tsx:130

  #### Parameters

  - ##### constraints: any

  #### Returns Promise<void>

### setData

- setData(data: any): Promise<void>

- - Defined in form/form.tsx:100

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### setDefinitions

- setDefinitions(definitions: any): Promise<void>

- - Defined in form/form.tsx:117

  #### Parameters

  - ##### definitions: any

  #### Returns Promise<void>

### setEntity

- setEntity(entity: any): Promise<void>

- - Defined in form/form.tsx:109

  #### Parameters

  - ##### entity: any

  #### Returns Promise<void>

### setSubmitInterceptor

- setSubmitInterceptor(submitFn: any): Promise<void>

- - Defined in form/form.tsx:135

  #### Parameters

  - ##### submitFn: any

  #### Returns Promise<void>

### setTranslateService

- setTranslateService(instance: any): Promise<void>

- - Defined in form/form.tsx:140

  #### Parameters

  - ##### instance: any

  #### Returns Promise<void>

### showErrors

- showErrors(form: any, errors: any): void

- - Defined in form/form.tsx:176

  #### Parameters

  - ##### form: any

  - ##### errors: any

  #### Returns void

### showErrorsForInput

- showErrorsForInput(input: any, errors: any): void

- - Defined in form/form.tsx:184

  #### Parameters

  - ##### input: any

  - ##### errors: any

  #### Returns void

### translate

- translate(str: string): string

- - Defined in form/form.tsx:252

  #### Parameters

  - ##### str: string

  #### Returns string

### update

- update(): Promise<void>

- - Defined in form/form.tsx:146

  #### Returns Promise<void>